{ config, impermanence, ... }:
{
  imports = [ impermanence.homeManagerModules.impermanence ];

  home.persistence."/persist${config.home.homeDirectory}" = {
    directories = [
      "Keepers"
      "Projects"
      "Documents"
      "Pictures"
      "Videos"
      "Games"
      "VMs"

      ".ssh"
      ".gnupg"

      ".config/sunshine"
      ".local/share/keyrings"
      ".local/state/wireplumber"
    ];
    allowOther = false;
  };
}
